Create a diagram in a file
POST
https://app.eraser.io/api/files/{fileId}/diagrams Example request
curl --location 'https://app.eraser.io/api/files/abc123/diagrams' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $YOUR-TOKEN-HERE' \
--data '{
"diagramType": "flowchart-diagram",
"code": "Start > End"
}' Example response
{
"id": "diag2",
"diagramUrl": "https://app.eraser.io/workspace/abc123?diagram=diag2&layout=canvas",
"diagramType": "flowchart-diagram",
"code": "Start > End",
"updatedAt": "2025-07-15T09:30:00.000Z"
} Path parameters
fileId string requiredpathID of the file to add the diagram to
Request body
diagramType string requiredType of diagram to create
sequence-diagramentity-relationship-diagramcloud-architecture-diagramflowchart-diagrambpmn-diagram
code string Eraser DSL code for the diagram. If omitted, creates an empty diagram.
Responses
200 – The created diagram
id string requiredUnique identifier for the diagram
diagramUrl string requiredURL to view the diagram in the Eraser canvas
diagramType string requiredType of the diagram
sequence-diagramentity-relationship-diagramcloud-architecture-diagramflowchart-diagrambpmn-diagram
code string requiredEraser DSL code for the diagram
updatedAt string requiredISO 8601 timestamp of when the diagram was last updated
{
"id": "string",
"diagramUrl": "https://app.eraser.io/workspace/abc123?diagram=def456&layout=canvas",
"diagramType": "sequence-diagram",
"code": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}